{
  "$schema": "http://json-schema.org/draft-04/schema#",
  "type": "object",
  "properties": {
    "year": {
      "type": "object",
      "properties": {
        "start": {
          "type": "string"
        },
        "end": {
          "type": "string"
        }
      },
      "required": [
        "start",
        "end"
      ]
    },
    "title": {
      "type": "object",
      "properties": {
        "en": {
          "type": "string"
        },
        "it": {
          "type": "string"
        }
      },
      "required": [
        "en",
        "it"
      ]
    },
    "content": {
      "type": "object",
      "properties": {
        "en": {
          "type": "string"
        },
        "it": {
          "type": "string"
        }
      },
      "required": [
        "en",
        "it"
      ]
    },
    "collaborators": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "surname": {
            "type": "string"
          },
          "ref": {
            "type": "string"
          }
        },
        "required": [
          "name",
          "surname",
          "ref"
        ]
      }
    },
    "languages": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "tecnologies": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "images": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "year",
    "title",
    "content",
    "collaborators",
    "languages",
    "tecnologies",
    "images"
  ]
}